## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocStyleCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocStyleCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class JavadocStyleCheck

extends Check

Custom Checkstyle Check to validate Javadoc.

Version:
  1.2
Author:
  Chris Stillwell, Daniel Grenner, Travis Schneeberger

Constructor Summary
`JavadocStyleCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setCheckEmptyJavadoc(boolean aFlag)` Sets the flag that determines if empty JavaDoc checking should be done.
`void` `setCheckFirstSentence(boolean aFlag)` Sets the flag that determines if the first sentence is checked for proper end of sentence punctuation.
`void` `setCheckHtml(boolean aFlag)` Sets the flag that determines if HTML checking is to be performed.
`void` `setEndOfSentenceFormat(java.lang.String aFormat)` Set the format for matching the end of a sentence.
`void` `setExcludeScope(java.lang.String aScope)` Set the excludeScope.
`void` `setScope(java.lang.String aFrom)` Sets the scope to check.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocStyleCheck

    public JavadocStyleCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### setScope

    public void setScope(java.lang.String aFrom)

  Sets the scope to check.

  Parameters:
    `aFrom` - string to get the scope from

### setExcludeScope

    public void setExcludeScope(java.lang.String aScope)

  Set the excludeScope.

  Parameters:
    `aScope` - a `String` value

### setEndOfSentenceFormat

    public void setEndOfSentenceFormat(java.lang.String aFormat)

  Set the format for matching the end of a sentence.

  Parameters:
    `aFormat` - format for matching the end of a sentence.

### setCheckFirstSentence

    public void setCheckFirstSentence(boolean aFlag)

  Sets the flag that determines if the first sentence is checked for proper end of sentence punctuation.

  Parameters:
    `aFlag` - `true` if the first sentence is to be checked

### setCheckHtml

    public void setCheckHtml(boolean aFlag)

  Sets the flag that determines if HTML checking is to be performed.

  Parameters:
    `aFlag` - `true` if HTML checking is to be performed.

### setCheckEmptyJavadoc

    public void setCheckEmptyJavadoc(boolean aFlag)

  Sets the flag that determines if empty JavaDoc checking should be done.

  Parameters:
    `aFlag` - `true` if empty JavaDoc checking should be done.

Copyright © 2001-2010. All Rights Reserved.